#
# spec file for package python-setuptools_scm
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-setuptools_scm
Version:        1.10.1
Release:        3.1
Summary:        Manage your versions by scm tags
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/pypa/setuptools_scm/
Source:         https://pypi.python.org/packages/source/s/setuptools_scm/setuptools_scm-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Testing requirements
BuildRequires:  git
BuildRequires:  mercurial
BuildRequires:  python-pytest
Requires:       python-setuptools
Recommends:     git
Recommends:     mecurial
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The setuptools_scm package handles managing your python package versions
in scm metadata. It also handles file finders for the supperted scm's.

%prep
%setup -q -n setuptools_scm-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
PYTHONPATH=%{buildroot}%{python_sitelib} py.test

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE CHANGELOG.rst
%{python_sitelib}/*

%changelog
* Tue Jan 12 2016 michael@stroeder.com
- Update to 1.10.1:
  v1.10.1
  * fix issue #73 - in hg pre commit merge, consider parent1 instead of failing
  v1.10.0
  * add support for overriding the version number via the
  environment variable SETUPTOOLS_SCM_PRETEND_VERSION
  * fix isssue #63 by adding the --match parameter to the git describe call
  and prepare the possibility of passing more options to scm backends
  * fix issue #70 and #71 by introducing the parse keyword
  to specify custom scm parsing, its an expert feature,
  use with caution
  this change also introduces the setuptools_scm.parse_scm_fallback
  entrypoint which can be used to register custom archive fallbacks
  v1.9.0
  * Add :code:`relative_to` parameter to :code:`get_version` function;
  fixes #44 per #45.
* Mon Nov  9 2015 mcihar@suse.cz
- Update to 1.8.0:
  * fix issue with setuptools wrong version warnings being printed to standard
    out. User is informed now by distutils-warnings.
  * restructure root finding, we now reliably ignore outer scm
    and prefer PKG-INFO over scm, fixes #43 and #45
  * correct the url to github
    thanks David Szotten
  * enhance scm not found errors with a note on git tarballs
    thanks Markus
  * add support for :code:`write_to_template`
* Wed Aug 12 2015 toddrme2178@gmail.com
- Initial version
